:root {
  --primary: #804ed5;
}

* {
  text-align: center;
}

body {
  max-width: 300px;
  margin: auto;
  padding: 2rem;
  text-align: center;
}

input {
  width: 100%;
  margin-top: 0.3rem;
  margin-bottom: 0.5rem;
  padding: 0.5rem;
  border-radius: 5px;
}

#result {
  margin-top: 1rem;
  width: 100%;
  height: 5vh;
  border: 1px solid black;
  border-radius: 5px;
  padding: 0.5rem;
}

button {
  margin-top: 1rem;
  padding: 0.5rem;
}


.footer {
  background-color: var(--primary);
  padding: 2rem;
  color: white;
  width: 100%;
  margin-top: 2rem;
  border-radius: 1rem 1rem 0rem 0rem; 
}

.footer .social-links {
  display: flex;
  flex-direction: row;
}

.footer .social-links .list-item-inline {
  margin: 1rem;
}

.link {
  text-decoration: none;
  color: white;
}
